Bug 1272642 - [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed by SIGSEGV
[abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a415b08fb726564dfa96a5b6905...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 02:43 EDT by Alexander Kurtakov
Modified: 2016-12-20 10:01 EST (History)
106 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:01:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.19 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: core_backtrace (4.13 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: dso_list (12.70 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: environ (988 bytes, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: maps (62.73 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: open_fds (2.13 KB, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-10-17 02:43 EDT, Alexander Kurtakov
no flags Details

  None (edit)
Description Alexander Kurtakov 2015-10-17 02:43:28 EDT
Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     3913
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4032
 #2 nautilus_progress_info_finalize at nautilus-progress-info.c:95
 #4 g_list_foreach at glist.c:1005
 #5 g_list_free_full at glist.c:220
 #6 nautilus_progress_info_manager_finalize at nautilus-progress-info-manager.c:50
 #8 nautilus_progress_persistence_handler_dispose at nautilus-progress-persistence-handler.c:346
 #10 nautilus_application_finalize at nautilus-application.c:636
Comment 1 Alexander Kurtakov 2015-10-17 02:43:33 EDT
Created attachment 1083859 [details]
File: backtrace
Comment 2 Alexander Kurtakov 2015-10-17 02:43:35 EDT
Created attachment 1083860 [details]
File: cgroup
Comment 3 Alexander Kurtakov 2015-10-17 02:43:37 EDT
Created attachment 1083861 [details]
File: core_backtrace
Comment 4 Alexander Kurtakov 2015-10-17 02:43:39 EDT
Created attachment 1083862 [details]
File: dso_list
Comment 5 Alexander Kurtakov 2015-10-17 02:43:40 EDT
Created attachment 1083863 [details]
File: environ
Comment 6 Alexander Kurtakov 2015-10-17 02:43:42 EDT
Created attachment 1083864 [details]
File: exploitable
Comment 7 Alexander Kurtakov 2015-10-17 02:43:44 EDT
Created attachment 1083865 [details]
File: limits
Comment 8 Alexander Kurtakov 2015-10-17 02:43:47 EDT
Created attachment 1083866 [details]
File: maps
Comment 9 Alexander Kurtakov 2015-10-17 02:43:49 EDT
Created attachment 1083867 [details]
File: mountinfo
Comment 10 Alexander Kurtakov 2015-10-17 02:43:51 EDT
Created attachment 1083868 [details]
File: open_fds
Comment 11 Alexander Kurtakov 2015-10-17 02:43:52 EDT
Created attachment 1083869 [details]
File: proc_pid_status
Comment 12 Alexander Kurtakov 2015-10-17 02:43:54 EDT
Created attachment 1083870 [details]
File: var_log_messages
Comment 13 Michael Catanzaro 2015-10-17 23:31:41 EDT
Another user experienced a similar problem:

Plugged in a USB drive. Crash might have happened when clicking on the notification?

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     4270
kernel:         4.2.3-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Kamil Páral 2015-10-18 14:12:17 EDT
Another user experienced a similar problem:

I believe I just closed Nautilus, that's all.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     2621
kernel:         4.2.3-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Kamil Páral 2015-10-21 08:41:00 EDT
Another user experienced a similar problem:

I have no idea what happened.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     5129
kernel:         4.1.6-200.fc22.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Jakub Filak 2015-10-23 03:05:05 EDT
Another user experienced a similar problem:

I took a piture of my desktop using GNOME Screenshot (not PrtSc key).

reporter:       libreport-2.6.2.23.g63b0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     5690
kernel:         4.2.3-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Giulio 'juliuxpigface' 2015-10-24 05:59:25 EDT
Another user experienced a similar problem:

Well... I don't know what did cause this crash.

There is what I did, though I don't know if there is anything relevant:
1) Open Nautilus, try to change a couple of settings
2) Download, a "tar.xz" archive with Firefox
3) Opened it with file-roller and then closed it
4) Created a subfolder and moved the archive into it
5) Extracted the archive on that subfolder
6) Moved Nautilus and file-roller's dialogs on the second workspace
7) Let file-roller finish

Then, after ~5/10 minutes, this crash popped up via abrt.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
global_pid:     4346
kernel:         4.2.3-300.fc23.i686
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Carlos Soriano 2015-11-12 15:52:26 EST
Fix in https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-18&id=e5163bab0c95e4490a0d90618093f483d34a299c and will be available in 3.18.2
Comment 19 Ferry Huberts 2015-12-22 05:07:32 EST
Please backport any nautilus fixes asap.
Nautilus is _extremely_ crashy, especially when copying/moving files/dirs around
Comment 20 Fedora End Of Life 2016-11-24 07:48:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 10:01:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.